input:
  environment: "python:3.12-alpine3.20"
  command:
    - "python3"
    - "/write_to_disk.py"
  limits:
    wall_time_ms: 10000
    cpu_cores: 1
    action_processes: 100
    user_processes: 100
    memory_bytes: 100MB
    disk_bytes: 10MB
    output_bytes: 10MB
  inputs:
    - uri_string: "file:write_to_disk.py"
      contents: "@write_to_disk.py"
      meta:
        uid: 0
        gid: 0
        userPermissions: { execute: true }
        groupPermissions: { execute: true }
        othersPermissions: { execute: true }

expectedOutput:
  result:
    exit_code: 1
    status: CRASHED
    outputs:
      - resource:
          uri_string: "stream:stdout"
          contents: "@stdout.txt"
          meta:
            uid: 0
            gid: 0
            userPermissions: { read: true }
            groupPermissions: { read: true }
            othersPermissions: { read: true }
        is_present: true
        exceeded_size: false
      - resource:
          uri_string: "stream:stderr"
          meta:
            uid: 0
            gid: 0
            userPermissions: { read: true }
            groupPermissions: { read: true }
            othersPermissions: { read: true }
        is_present: true
        exceeded_size: false
  metrics:
    output_bytes: 59
    disk_bytes: 8409485
    created_processes: 1
    max_processes: 1
